# POST /spreadsheets/:spreadsheet_id/import_from_document

**Resource:** [Spreadsheets](./spreadsheets.md)  
**MCP tool:** `import_spreadsheet_from_document`  
**Scopes:** `spreadsheets:write`  
**Write operation:** yes

Extract rows from a PDF via a document mapper.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `spreadsheet_id` | path | string | yes |  |
| `mapper_id` | body | string | yes |  |
| `file_id` | body | string | yes |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/spreadsheets/:spreadsheet_id/import_from_document"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"mapper_id":"...","file_id":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`